﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Globalization;
using LINQtoCSV;

// CSV ファイルのデータの構造を定義するクラス

namespace LINQtoCSVTest
{
	public class CSVDATA
	{
		[CsvColumn(FieldIndex = 1)]
		public string 氏名 { get; set; }
		[CsvColumn(FieldIndex = 2, OutputFormat = "D")]
		public DateTime 生年月日 { get; set; }
		[CsvColumn(FieldIndex = 3)]
		public string 住所 { get; set; }
		[CsvColumn(FieldIndex = 4, OutputFormat = "d", CanBeNull = true)]
		public int 没年時の年齢 { get; set; }

		public override string ToString()
		{
			return String.Format("{0}:{1:D}:{2} {3}", 氏名, 生年月日, 住所, 没年時の年齢);
		}
	}
}
